/*
 * 
 * TinyPTC x11 v0.5.1 ported by Alessandro Gatti (a.gatti@tiscalinet.it)
 * Original Windows version by Glenn Fiedler (ptc@gaffer.org)
 * http://www.gaffer.org/tinyptc
 * 
 */

#ifndef __TINYPTC_MMX_H
#define __TINYPTC_MMX_H

#include "tinyptc.h"

#define __PTC_MMX_CONVERT_32_TO_32_BGR888
#define __PTC_MMX_CONVERT_32_TO_32_RGB888
#define __PTC_MMX_CONVERT_32_TO_24_BGR888
#define __PTC_MMX_CONVERT_32_TO_24_RGB888
#define __PTC_MMX_CONVERT_32_TO_16_BGR565
#define __PTC_MMX_CONVERT_32_TO_16_RGB565
#define __PTC_MMX_CONVERT_32_TO_16_BGR555
#define __PTC_MMX_CONVERT_32_TO_16_RGB555

#ifdef __PTC_MMX__
void mmx_memcpy(void *d,void *s,int bytes);
#endif /* __PTC_MMX__ */

#ifdef __PTC_MMX_CONVERT_32_TO_32_BGR888
void mmx_convert_32_to_32_bgr888(void *d,void *s,int pixels);
#endif /* __PTC_MMX_CONVER_32_TO_32_BGR888 */

#ifdef __PTC_MMX_CONVERT_32_TO_32_RGB888
void mmx_convert_32_to_24_rgb888(void *d,void *s,int pixels);
#endif /* __PTC_MMX_CONVERT_32_TO_32_RGB888 */

#ifdef __PTC_MMX_CONVERT_32_TO_24_BGR888
void mmx_convert_32_to_24_bgr888(void *d,void *s,int pixels);
#endif /* __PTC_MMX_CONVERT_32_TO_24_BGR888 */

#ifdef __PTC_MMX_CONVERT_32_TO_16_BGR565
void mmx_convert_32_to_16_rgb565(void *d,void *s,int pixels);
#endif /* __PTC_MMX_CONVERT_32_TO_16_BGR565 */

#ifdef __PTC_MMX_CONVERT_32_TO_16_RGB565
void mmx_convert_32_to_16_bgr565(void *d,void *s,int pixels);
#endif /* __PTC_MMX_CONVERT_32_TO_16_RGB565 */

#ifdef __PTC_MMX_CONVERT_32_TO_16_BGR555
void mmx_convert_32_to_16_rgb555(void *d,void *s,int pixels);
#endif /* __PTC_MMX_CONVERT_32_TO_16_BGR555 */

#ifdef __PTC_MMX_CONVERT_32_TO_16_RGB555
void mmx_convert_32_to_16_bgr555(void *d,void *s,int pixels);
#endif /* __PTC_MMX_CONVERT_32_TO_16_RGB555 */

#endif /* __TINYPTC_MMX_H */
