/*
 *
 * TinyPTC x11 v0.5.1 ported by Alessandro Gatti (a.gatti@tiscalinet.it)
 * Original Windows version by Glenn Fiedler (ptc@gaffer.org)
 * http://www.gaffer.org/tinyptc
 *
 */

#ifndef __TINYPTC_CONVERT_H
#define __TINYPTC_CONVERT_H

/* include files */
#include "tinyptc.h"

#define __PTC_CONVERTER_32_TO_32_RGB888
#define __PTC_CONVERTER_32_TO_32_BGR888
#define __PTC_CONVERTER_32_TO_24_RGB888
#define __PTC_CONVERTER_32_TO_24_BGR888
#define __PTC_CONVERTER_32_TO_16_RGB565
#define __PTC_CONVERTER_32_TO_16_BGR565
#define __PTC_CONVERTER_32_TO_16_RGB555
#define __PTC_CONVERTER_32_TO_16_BGR555

/* converter function type */
typedef void (*PTC_CONVERTER) (void *src,void *dst,int pixels);

/* converter request */
PTC_CONVERTER ptc_request_converter(int bits,int32 r,int32 g,int32 b);

#endif
