#include "surface.h"
#include <stdlib.h>

Surface * surface_new (int32 w, int32 h) {
  Surface * s = (Surface*)malloc(sizeof(Surface));
  s->realstart = (int32*)malloc(w*h*4 + 128);
  s->buf = (int32*)((int32)s->realstart + 128 - (((int32)s->realstart) % 128));
  s->size = w*h;
  s->width = w;
  s->height = h;
  return s;
}

void surface_delete (Surface **s) {
  free ((*s)->realstart);
  free (*s);
  *s = NULL;
}
